import static gdbutil.ConnectionParameters.*;

import java.util.HashMap;

import org.geotools.data.DataStore;
import org.geotools.data.DataStoreFinder;
import org.geotools.data.FeatureSource;
import org.geotools.feature.Feature;
import org.geotools.feature.FeatureCollection;
import org.geotools.feature.FeatureIterator;

import com.vividsolutions.jts.geom.Geometry;

/**
 * Beispielsprogramm zur Demonstration des Zugriffs mit Geotools 2.
 *
 * @author: Thomas Brinkhoff
 * @version: 1.00
 */
public class GeotoolsExample {

	public static void main(String[] args) {
		try {
			// Verbindung spezifizieren
	        HashMap<String,String> m = new HashMap<String,String>();
	        m.put("dbtype","oracle");
	        m.put("host",DBHOST);
	        m.put("port",DBPORT);
	        m.put("instance",DBNAME);
	        m.put("user",DBUSER);
	        m.put("passwd",DBPASSWORD);
	        m.put("schema",DBUSER.toUpperCase());
	        // Datastore anlegen
			DataStore store = DataStoreFinder.getDataStore(m);
			/*String layerNamen[] = store.getTypeNames();
			for (String name : layerNamen)
				System.out.println(name);*/
	        // Tabelle auswhlen und einlesen
			FeatureSource fSource = store.getFeatureSource("ORTSNETZE");
			System.out.println(fSource.getSchema());
			FeatureCollection res = fSource.getFeatures();
			FeatureIterator it = res.features();
			Geometry geom = null;
			while (it.hasNext()) {
				Feature obj = it.next();
				geom = obj.getDefaultGeometry();
				if (geom != null)
					System.out.println(obj.getAttribute("NAME")+" "+obj.getID()+": "+geom.getArea());
			}
			it.close();
			/*
			// Objekt erzeugen
			Object data[] = new Object[]{"Helgoland",geom};
			org.geotools.feature.Feature newFeature = fSource.getSchema().create(data,"04725");
			org.geotools.data.FeatureReader newReader = org.geotools.data.DataUtilities.reader(new Feature[] { newFeature} );
			// Im FeatureStore speichern
			org.geotools.data.FeatureStore featureStore = (org.geotools.data.FeatureStore) fSource;
			featureStore.addFeatures(newReader);
			// Transaktion durchfhren
			org.geotools.data.Transaction t = featureStore.getTransaction();
			t.commit();
			t.close();
			*/	
		}
		// Fehlerbehandlung
		catch (Exception ex) {
			System.err.println("GeotoolsExample.main: "+ex);
		}
	}
}
